CVE-2020-21833

A heap based buffer overflow vulnerability exits in GNU LibreDWG 0.10 via: read_2004_section_classes ../../src/decode.c:2440.
References
Link Resource
https://github.com/LibreDWG/libredwg/issues/188#issuecomment-574493364 Exploit Issue Tracking Patch Third Party Advisory
http://libredwg.com Broken Link
http://gnu.com Not Applicable
Configurations

Configuration 1 (hide)

cpe:2.3:a:gnu:libredwg:0.10:*:*:*:*:*:*:*

Information

Published : 2021-05-17 21:15

Updated : 2021-05-21 19:08


NVD link : CVE-2020-21833

Mitre link : CVE-2020-21833


JSON object : View

Products Affected

gnu

  • libredwg
CWE
CWE-787

Out-of-bounds Write